/********************************** (C) COPYRIGHT *******************************
* File Name          : Debug.H
* Author             : WCH
* Version            : V1.0
* Date               : 2020/07/03
* Description        : This file contains all the functions prototypes for UART
*                      Printf , Delay functions.									 
*******************************************************************************/
#ifndef	__DEBUG_H__
#define __DEBUG_H__

#include <absacc.h>
#include <stdio.h>
#include <string.h>
#include <intrins.h>

#define NO_XSFR_DEFINE
#include "CH545X.H"

//庯ֵ
#ifndef  SUCCESS
#define  SUCCESS    0
#endif
#ifndef  FAIL
#define  FAIL       0xFF
#endif

#ifndef MIN
#define MIN(a,b)                (((a) <= (b)) ? (a) : (b))
#endif


#define	 FREQ_SYS	                       24000000	          //ϵͳƵ24MHz
#define  OSC_EN_XT                       0                    //ⲿʹܣĬϿڲ
#ifndef  UART0_BUAD
#define  UART0_BUAD                      115200
#define  UART1_BUAD                      57600
#endif
#ifndef  DE_PRINTF                                            //Pirntf
#define  DE_PRINTF                      1
#endif

void CfgFsys(void);                                           //CH545ʱѡ
void mDelayuS(UINT16 n);                                 //uSΪλʱ
void mDelaymS(UINT16 n);                                 //mSΪλʱ
void mInitSTDIO(void);                                        //T1Ϊʷ
void CH545UART0Alter(void);                                    //CH5450ӳ䵽P0.2/P0.3
void CH545UART0SendByte(UINT8 SendDat);                    //CH545UART0һֽ
UINT8 CH545UART0RcvByte(void);                                //CH545UART0ѯʽһֽ

void CH545WDTModeSelect(UINT8 mode);                       //CH545Źģʽ 
void CH545WDTFeed(UINT8 tim);                              //CH545Źι
void CH545SoftReset(void);                                    //CH545λ
  
#endif
